Subject: Re: [bug#55084] [PATCH] gnu: python-numpy-next: Update to 1.22.3.

From: zimoun <[email-masked]>
Date: Tue, 26 Apr 2022 12:59:33 +0200

Hi Mathieu,

On Tue, 26 Apr 2022 at 11:23, Mathieu Othacehe <[email-masked]> wrote:

> > +    (native-inputs
> > +     (list python-cython python-hypothesis python-pytest
> > +           python-pytest-xdist gfortran))
>
> What about using something like:
>
> --8<---------------cut here---------------start------------->8---
>     (native-inputs
>      (modify-inputs (package-inputs python-numpy-next)
>        (delete "python-hypothesis")
>        (prepend python-hypothesis)))
> --8<---------------cut here---------------end--------------->8---
>
> not to duplicate the native-inputs list?

I do not think it is possible because, whereas this 'modify-inputs' is
better for readibility, it implies a rebuild of the package, IMHO; the
very thing we would like to avoid since touching to python-numpy is a
core-update modification.

However, maybe python-numpy-next could inherit from python-numpy
instead of the contrary.  Well, I do not know if it is better...

Cheers,
simon